Plesk Ftp Sorunu – Ftp Bağlanma Problemi

By LovelessGent
In Makale
Oca 11th, 2015
1 Comment
927 Views

Sıfır plesk kurulumlarında bile başınıza gelebilecek bir sorun olan ftp’ ye bağlanamama (ftp adresine girememe) plesk’in kendi hatalarından biridir ve hala düzeltilememiştir. Nedeni ise plesk’in linux makinanızdaki hostname’i tam olarak çözümleyememesidir.

Plesk Ftp Sorunu – Ftp Bağlanma Problemi

Aşağıdaki yolları takip ederek bu sorunu çözebilirsiniz.
Putty ile SSH bağlantısını gerçekleştirin ve aşağıdaki komutları sırası ile uygulayın.

1
cat /etc/sysconfig/network

Bu komut ile sunucunuzun hostname’inin ne olduğunu görebilirsiniz.

1
nano /etc/hosts

Komutu ile hosts dosyanızın içeriğine ulaşacaksınız. Dosyanın en altına bilgisayarınızın hostname’ini girmelisiniz. (alttaki hostnameiniz yazan yere sunucu hostname adresini gireceksiniz.

serveripadresiniz             hostnameiniz
ctrl+X ile kaydedip çıkış yapıyoruz.

Sunucunun ayarları burada bitiyor ama askıda kalan bir ftp bağlantısı varsa hala ftp ye giremeyeceksiniz. bunu görmenin yolu ise:

1
fuser -n tcp 21

aşağıdaki gibi bir çıktı gelicektir ekrana (3235 sayısı sizde farklı olucaktır ekranda hangi sayıyı görüyorsanı o sayıyı kullanın);
21/tcp: 3235

bu 3235 sayılı bağlantıyı kapatmamız gerekicek bunun için ise;

1
kill -9 3235

Bağlantıyı kapadıktan sonra, Ftp servisini tekrar bağlatıyoruz.

1
/etc/init.d/xinetd start

Artık ftp’ ye girebilirsiniz.

Not: aynı hatayı alıyorsanız yani ftp’ye bağlanamıyorsanız işletim sistemini restart ediniz.

One Response to “Plesk Ftp Sorunu – Ftp Bağlanma Problemi”

  1. […] Plesk 12 sürümünde birden fazla PHP sürümünü bir arada kullanmak istiyorsanız yapmanız gereken çok basit. Bu işlem sonunda GD, mcrypt gibi kütüphaneleri de otomatik olarak yüklemiş olacaksınız. Ben kendi kullandığım kişisel sanal sunucumda CentOS – Plesk 12 kullanmaktayım. Plesk ‘i yeni kurmuş olsanız dahi PHP 5.3 versiyonu kurulu gelecektir. PHP 5.4, 5.5 ve PHP 5.6 versiyonlarını da kullanmak isterseniz aşağıdaki adımları takip etmelisiniz. Bu sayede Çoklu Php Desteğine sahip olacaksınız ve istediğiniz sitede istediğiniz PHP versiyonunu kullanabileceksiniz. Bunun neden tercih sebebi olacağı ise malûmdur.. […]

Bir Cevap Yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir

Connect with Facebook